using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface ICoursesStorage
	{
		List<CoursesViewModel> GetFullList();
		List<CoursesViewModel> GetFilteredList(CoursesSearchModel model);
		CoursesViewModel? GetElement(CoursesSearchModel model);
		CoursesViewModel? Insert(CoursesBindingModel model);
		CoursesViewModel? Update(CoursesBindingModel model);
		CoursesViewModel? Delete(CoursesBindingModel model);
	}
}
